Subject: Re: bug#48714: 28.0.50; Inconsistent font after theme modus-operandi upgrade

From: Protesilaos Stavrou <[email-masked]>
Date: Fri, 28 May 2021 18:49:55 +0300

On 2021-05-28, 19:16 +0530, Pankaj Jangid <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
>>> If I comment-out the above lines in init file and then ‘M-x load-theme
>>> RET modus-operandi RET’ after the startup, I get the view as in
>>> ‘emacs_2.png’.
>>> 
>>> Notice the font difference. And this difference is causing problems in
>>> other areas. Like Gnus group buffer; the lines are not aligned properly.
>>
>> I don't understand: these 2 are defcustoms.  If you don't like their
>> effects, just leave them at their default values.
>
> I think I was not clear enough.
>
> Basically, I get different font width margin etc. based on when I am
> loading the theme. If I load the theme from init, I get ‘emacs_1.png’
> and if I load the theme using ‘M-x load-theme RET modus-operandi RET’,
> then I get the view ‘emacs_2.png’. In both the scenarios I am talking
> about the same theme i.e. modus-operandi. I really like this theme. That
> is why I am a bit concerned.
>
> Look at the mode-line to see the differences.
>
> CCing Protesilaos.

The problem here seems to be with the 'italic' face.  It appears that
something in your init is setting that to a different font family either
by assigning the ':family' property or by ':inherit variable-pitch'.

Can you load the theme the problematic way and try:

    M-x describe-symbol RET italic RET

The Help buffer should show something like this:

    Documentation:
    Basic italic face.

    Defined in ‘faces.el’.

               Family: unspecified
              Foundry: unspecified
                Width: unspecified
               Height: unspecified
               Weight: unspecified
                Slant: italic
           Foreground: unspecified
    DistantForeground: unspecified
           Background: unspecified
            Underline: unspecified
             Overline: unspecified
       Strike-through: unspecified
                  Box: unspecified
              Inverse: unspecified
              Stipple: unspecified
                 Font: unspecified
              Fontset: unspecified
               Extend: unspecified
              Inherit: unspecified

Also, what happens after the problematic loading if you re-load the
theme?  Does that affect the fonts or not?

Lastly, did you upgrade between recent versions, say, 1.3.0 to the
current 1.4.0?

-- 
Protesilaos Stavrou
https://protesilaos.com